# Simple Systems Website

Built using [Hugo](https://gohugo.io/getting-started/installing/)

## Local development
```
hugo server
```

Development can also be run using Docker:
```shell script
docker build --no-cache -f Dockerfile.dev -t website-fe . && \
docker run -it -p 1313:1313 --mount source=$(pwd),target=/src,type=bind --rm website-fe
```

## Production
To build the production site, run the following command:
```
hugo --minify
```

The resources will be stored in the `./public` directory.

## Managing Job Posts

* To add a job post, create the markdown file in `content/jobs`.
* To remove a job post, remove its markdown file from `content/jobs`.

## Managing Blog Posts

* To add a blog post, create the markdown file in `content/blog`.
* To remove a blog post, remove its markdown file from `content/blog`.
